Bug 1123397 - Review Request: python-bcdoc - Tools to help document botocore-based projects
Summary: Review Request: python-bcdoc - Tools to help document botocore-based projects
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123402
TreeView+ depends on / blocked
 
Reported: 2014-07-25 14:12 UTC by Lubomir Rintel
Modified: 2014-08-05 10:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-05 10:18:41 UTC
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2014-07-25 14:12:45 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/python-bcdoc.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/python-bcdoc-0.12.2-1.el7.centos.src.rpm

Description:
ReST document generation tools for botocore.

Comment 1 Lubomir Rintel 2014-07-25 19:43:01 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/python-bcdoc.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/python-bcdoc-0.12.2-2.fc21.src.rpm

Added Python 3 support.

Comment 2 Haïkel Guémar 2014-07-26 08:14:05 UTC
Few minor things:
* please fix the summary for the python3 subpackage ;)
* bcdoc belongs to boto project which is independent from Amazon. I think that the appropriate url would be: https://github.com/boto/boto

From my preliminary review, the package builds, installs and works as expected.

Comment 4 Haïkel Guémar 2014-08-04 13:43:17 UTC
Since this package complies with Fedora packaging guidelines, I hereby approve it in Fedora packages collection. Please submit a scm request below.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck in /home/haikel/1123397-python-
     bcdoc/licensecheck.txt
     (there a source file: textwriter.py taken from sphinx sources under BSD 2 clauses so the results in ASL 2.0)
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-bcdoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-bcdoc-0.12.2-3.fc20.noarch.rpm
          python3-bcdoc-0.12.2-3.fc20.noarch.rpm
          python-bcdoc-0.12.2-3.fc20.src.rpm
python-bcdoc.noarch: W: spelling-error Summary(en_US) botocore -> bookstore
python-bcdoc.noarch: W: spelling-error %description -l en_US botocore -> bookstore
python3-bcdoc.noarch: W: spelling-error Summary(en_US) botocore -> bookstore
python3-bcdoc.noarch: W: spelling-error %description -l en_US botocore -> bookstore
python-bcdoc.src: W: spelling-error Summary(en_US) botocore -> bookstore
python-bcdoc.src: W: spelling-error %description -l en_US botocore -> bookstore
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-bcdoc python3-bcdoc
python-bcdoc.noarch: W: spelling-error Summary(en_US) botocore -> bookstore
python-bcdoc.noarch: W: spelling-error %description -l en_US botocore -> bookstore
python3-bcdoc.noarch: W: spelling-error Summary(en_US) botocore -> bookstore
python3-bcdoc.noarch: W: spelling-error %description -l en_US botocore -> bookstore
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-bcdoc (rpmlib, GLIBC filtered):
    python(abi)
    python-docutils
    python-six

python3-bcdoc (rpmlib, GLIBC filtered):
    python(abi)
    python3-docutils
    python3-six



Provides
--------
python-bcdoc:
    python-bcdoc

python3-bcdoc:
    python3-bcdoc



Source checksums
----------------
https://pypi.python.org/packages/source/b/bcdoc/bcdoc-0.12.2.tar.gz :
  CHECKSUM(SHA256) this package     : 96f83b0ab784e1e003111ff14927e4857df42aa169acccabd357ae84ec800897
  CHECKSUM(SHA256) upstream package : 96f83b0ab784e1e003111ff14927e4857df42aa169acccabd357ae84ec800897

Comment 5 Lubomir Rintel 2014-08-04 17:34:08 UTC
New Package SCM Request
=======================
Package Name: python-bcdoc
Short Description: Tools to help document botocore-based projects
Upstream URL: https://github.com/boto/bcdoc
Owners: lkundrak jtaylor
Branches: f19 f20 f21 el6 epel7

Comment 6 Gwyn Ciesla 2014-08-04 18:31:13 UTC
Git done (by process-git-requests).

Comment 7 Lubomir Rintel 2014-08-05 10:18:41 UTC
Imported and built.

Thank your.


Note You need to log in before you can comment on or make changes to this bug.